import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';

import '../../../../../../core/routes/route_name.dart';
import '../../../../../../core/routes/routes.dart';
import '../../../../../../core/styles/app_color.dart';
import '../../../../../../core/styles/app_text.dart';
import '../../../../../../shared/components/button_widget.dart';

class ConfirmInvestBottomSection extends StatelessWidget {
  const ConfirmInvestBottomSection({
    super.key,
  });

  @override
  Widget build(BuildContext context) {
    return Container(
      margin: const EdgeInsets.symmetric(
        horizontal: 16,
        vertical: 15,
      ),
      width: 1.sw,
      height: 60.h,
      child: ButtonWidget().elevatedBtn(
        txtClr: AppColor.plainWhite,
        function: () {
          goRouter.pushNamed(RouteName.otpScreen,
              pathParameters: {"fromScreen": "confirm-investment"});
        },
        text: AppText.investText,
        clr: AppColor.primaryColor2,
      ),
    );
  }
}
